Bug 828274 - Missing performance counters on VM
Missing performance counters on VM
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks: 801362
  Show dependency treegraph
 
Reported: 2012-06-04 09:39 EDT by Ori Liel
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 02:07:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ori Liel 2012-06-04 09:39:36 EDT
The following performance counters are reported by VDSM but not exposed by the Backend (needed for rest-api):


 * Per VM:
   - file system information: total, used, fstype and path
Comment 1 Andrew Cathrow 2012-06-12 08:37:46 EDT
Setting to rhevm-future.

Geert - please prioritize.
Comment 2 Ori Liel 2012-06-21 04:10:33 EDT
(Note: these counters are reported by the guest agent)
Comment 3 Ori Liel 2012-06-21 06:16:06 EDT
Will look like this: 

<vm>
   <guest_info>
        <file_systems>
             <file_system path="/" type="ext4">
                <total>20642131968</total>
                <used>2141274112</used>
             </file_system>
              <file_system path="/proc/bus/usb" type="usbfs">
                <total>0</total>
                <used>0</used>
             </file_system>
             <file_system path="/boot" type="ext4">
                <total>507744256</total>
                <used>55496704</used>
             </file_system>
             <file_system path="/home" type="ext4">
                <total>46874517504</total>
                <used>188608512</used>
             </file_system>
      </file_systems>
   </guest_info>
</vm>
Comment 4 Itamar Heim 2012-12-25 02:07:28 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 5 Itamar Heim 2012-12-25 02:08:23 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.